Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 26 Feb 2021 09:50:11 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I placed order no. 9637330737 on 22nd Feb 2021 as Click n Collect. The expected timeframe on website was 1-2 business days. 3 business days have passed since then and there is no luck in tracking where the item is. I have contacted the call centre thrice, and requested for a callback to get an update. No one has contacted me yet! I had relied on ur website to arrange for a gift.....I NEED THIS TO BE AVAILABLE MAXIMUM FRIDAY, 26th FEB 2021 MORNING. Kindly escalate this issue to the concerned dept ASAP! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2156421